import React from "react";
interface IProps {
    failures: Record<string, Record<string, {
        errcode: string;
        error: string;
    }>>;
    source: string;
    continuation: (opts: {
        shouldEmit: boolean;
    }) => Promise<void>;
    onFinished(): void;
}
declare const KeySignatureUploadFailedDialog: React.FC<IProps>;
export default KeySignatureUploadFailedDialog;
